package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwBdParametric",description = "财务参数化设置表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdParametric {
	 /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkParametric;

    /**
     * 参数化编码
     */
    @ApiModelProperty(value = "参数化编码", required = false, example = "")
    private String parametricCode;

    /**
     * 参数化名称
     */
    @ApiModelProperty(value = "参数化名称", required = false, example = "")
    private String parametricName;

    /**
     * 参数值
     */
    @ApiModelProperty(value = "参数值", required = false, example = "")
    private String parametricValue;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}