package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdProductcell",description = "项目单元表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdProductcell {
	/**
     * 单元主键
     */
    @ApiModelProperty(value = "单元主键", required = true, example = "")
    private String id;
	/**
     * 项目单元编码
     */
    @ApiModelProperty(value = "项目单元编码", required = true, example = "")
    private String cellCode;

    /**
     * 项目单元名称
     */
    @ApiModelProperty(value = "项目单元名称", required = false, example = "")
    private String cellName;

    /**
     * 单元类型
     */
    @ApiModelProperty(value = "单元类型", required = false, example = "")
    private String cellType;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

}