package com.dhcc.finance.main.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwBdRecordSerial", description = "自动生成凭证流水号记录表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdRecordSerial {
	@ApiModelProperty(value = "主键", required = true, example = "")
	private String id;
	@ApiModelProperty(value = "批次号", required = true, example = "")
	private String batchNo;
	@ApiModelProperty(value = "流水号", required = true, example = "")
	private String serialNo;
    @ApiModelProperty(value = "记账场景", required = false, example = "")
    private String tradecode;
	@ApiModelProperty(value = "记账标志", required = true, example = "")
	private String signType;
	@ApiModelProperty(value = "凭证主键", required = true, example = "")
	private String pkVoucher;
	@ApiModelProperty(value = "失败原因", required = true, example = "")
	private String failReason;
	@ApiModelProperty(value = "是否已审核", required = true, example = "")
	private String isaudit;
	@ApiModelProperty(value = "是否已记账", required = true, example = "")
	private String issign;
	@ApiModelProperty(value = "使用状态", required = true, example = "")
	private String useState;
	@ApiModelProperty(value = "录入人员", required = true, example = "")
	private String createUser;
	@ApiModelProperty(value = "录入时间", required = true, example = "")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	@ApiModelProperty(value = "最后修改人员", required = true, example = "")
	private String updateUser;
	@ApiModelProperty(value = "最后修改时间", required = true, example = "")
	private Date updateTime;
	@ApiModelProperty(value = "备注", required = true, example = "")
	private String remark;

}