package com.dhcc.finance.main.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 功能描述：系统常规字典
 * @author pj
 * @date:  2020/6/10 11:41
 * @修改日志:
 */
@ApiModel(value = "SysDictInfo",description = "系统常规字典")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class SysDictInfo {

    @ApiModelProperty(value = "字典id",required = true, example = "459376852784381958")
    private String dictId;

    @ApiModelProperty(value = "系统编号",required = true, example = "558742860501876752")
    private String sysId;

    @ApiModelProperty(value = "字典",required = true, example = "SCPZLX")
    private String dictField;

    @ApiModelProperty(value = "字典名称",required = true, example = "凭证类型")
    private String dictName;

    @ApiModelProperty(value = "字典Key",required = true, example = "1")
    private String dictKey;

    @ApiModelProperty(value = "字典值",required = true, example = "银行利息")
    private String dictValue;

    @ApiModelProperty(value = "显示顺序",required = true, example = "1")
    private Integer sortNo;

    @ApiModelProperty(value = "有效状态",required = true, example = "1:有效")
    private String useState;

    @ApiModelProperty(value = "新增人",required = true, example = "admin")
    private String intUser;

    @ApiModelProperty(value = "新增时间",required = true, example = "2019-06-27 20:27:34")
    private Date intDate;

    @ApiModelProperty(value = "修改人",required = true, example = "admin")
    private String updUser;

    @ApiModelProperty(value = "修改时间",required = true, example = "2019-06-27 20:27:34")
    private Date updDate;

    private String dictSysName;

}
