/**
 * 
 */
package com.dhcc.finance.main.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @author hp
 *
 */
@ApiModel(value = "CwGlVoucherForReverse",description = "凭证信息表提供反审核和反记账")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlVoucherForReverse {
	 @ApiModelProperty(value = "凭证主键", required = true, example = "")
	    private String pkVoucher;
	    
	    @ApiModelProperty(value = "凭证状态", required = false, example = "")
	    private String vouchertype;

	    @ApiModelProperty(value = "是否已审核", required = false, example = "")
	    private String isaudit;

	    @ApiModelProperty(value = "审核人", required = false, example = "")
	    private String pkAudit;

	    @ApiModelProperty(value = "审核时间", required = false, example = "")
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    private Date auditdate;

	    @ApiModelProperty(value = "是否已记账", required = false, example = "")
	    private String issign;

	    @ApiModelProperty(value = "记账人", required = false, example = "")
	    private String pkSign;

	    @ApiModelProperty(value = "记账时间", required = false, example = "")
	    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	    private Date signdate;

	    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
	    private String updateUser;

	    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
	    private Date updateTime;
}
