package com.dhcc.finance.main.service;

import java.util.List;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdProductcellDetail;
import com.dhcc.finance.main.model.CwBdProductcellWeb;
import com.github.pagehelper.PageInfo;

/**
 * 功能描述：项目单元详情
 * @author dml
 * @date 2019年10月2日 上午10:13:01
 * @修改日志：
 */
public interface CwBdProductcellDetailService {
	/**
	 * 功能描述：根据项目单元编号查询详情
	 * @param cellCode
	 * @return RestfulResponse<List<CwBdProductcellDetail>,CurrencyMeta>
	 * @author dml
	 * @date 2019年10月2日 上午10:15:07
	 * @修改日志：
	 */
	RestfulResponse<List<CwBdProductcellDetail>, CurrencyMeta> searchCwBdProductcellDetailByCode(String cellCode);
	/**
	 * 功能描述  新增单元
	 *@param cwBdProductcellWeb
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月6日 上午9:00:51
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> addCwBdProductcellDetail(CwBdProductcellWeb cwBdProductcellWeb);
	/**
	 * 功能描述 根据项目单元主键查询详情 
	 *@param cellId
	 *@return RestfulResponse<List<CwBdProductcellDetail>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月6日 上午10:43:46
	 *修改日志:
	 */
	RestfulResponse<List<CwBdProductcellDetail>, CurrencyMeta> searchCwBdProductcellDetailById(String cellId);
	/**
	 * 功能描述 修改单元
	 *@param cwBdProductcellWeb
	 *@return RestfulResponse<Object,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月6日 上午11:14:44
	 *修改日志:
	 */
	RestfulResponse<Object, CurrencyMeta> updateCwBdProductcellDetail(CwBdProductcellWeb cwBdProductcellWeb);
	/**
	 * 功能描述 获取项目单元表详情数据列表
	 *@param cellId
	 *@param pageNum
	 *@param pageSize
	 *@param navigatePages
	 *@return RestfulResponse<PageInfo<CwBdProductcell>,CurrencyMeta>
	 *@author huangpeng
	 *@date 2019年10月6日 上午11:43:27
	 *修改日志:
	 */
	RestfulResponse<PageInfo<CwBdProductcellDetail>, CurrencyMeta> searchCwBdProductcellDeatilOfList(String cellId,
			int pageNum, int pageSize, int navigatePages);
}
